#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareSet()
#   Usable environment variable:
#       ORIGIN_SHARE_NAME, ORIGIN_SHARE_STATUS, ORIGIN_SHARE_PATH, SHARE_NAME, SHARE_STATUS, SHARE_PATH
###############################################################

#At begining, acquire package settings
GLACIER_TOOL_BIN="/var/packages/GlacierBackup/target/bin/synoglaciertool"
GLACIER_PKG_NAME="GlacierBackup"
GLACIER_PKG_VERSION="1.1"
GLACIER_PKG_VENDOR="Synology Inc."
GLACIER_PKG_MODVER="2.0"
DROP_FLAG=0

#At begining, acquire package settings
case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		echo ${GLACIER_PKG_MODVER}
		;;
	--name)
		#Print package name
        	echo ${GLACIER_PKG_NAME}
		;;
	--pkg-ver)
		#Print package version
		echo ${GLACIER_PKG_VERSION}
		;;
	--vendor)
		#Print package vendor
		echo ${GLACIER_PKG_VENDOR}
		;;
	--pre)
		#Actions before share set
		;;
	--post)
		#Actions after share set
		if [ "${ORIGIN_SHARE_NAME}" != "" ] && [ "${ORIGIN_SHARE_NAME}" != "${SHARE_NAME}" ] && [ "0" = "${RESULT}" ]; then
			DROP_FLAG=1
		fi
		if [ "${ORIGIN_SHARE_PATH}" != "${SHARE_PATH}" ] && [ "0" = "${RESULT}" ]; then
			DROP_FLAG=1
		fi 
		if [ "${DROP_FLAG}" -eq 1 ]; then
			if [ "encrypt" = "${SHARE_STATUS}" ] || [ "decrypt" = "${SHARE_STATUS}" ]; then
				${GLACIER_TOOL_BIN} --drop_archive_info_src "${SHARE_NAME}" "1"
			else
				${GLACIER_TOOL_BIN} --drop_archive_info_src "${SHARE_NAME}" "0"
			fi
		fi
		;;
	*)
		echo "Usage: $0 --sdk_mod_ver|--name|--pkg_ver|--vendor|--pre|--post"
	;;
esac

