#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareSnapXXXX()
#   XXXX: Create, Restore, Clone
#   Usable environment variable:
#       SHARE_NAME, SHARE_PATH, NEW_SHARE_NAME, NEW_SHARE_PATH, SNAPSHOT, ACTION, ENC_STATUS, RESULT
###############################################################

#At begining, acquire package settings
GLACIER_TOOL_BIN="/var/packages/GlacierBackup/target/bin/synoglaciertool"
GLACIER_PKG_NAME="GlacierBackup"
GLACIER_PKG_VERSION="1.1"
GLACIER_PKG_VENDOR="Synology Inc."
GLACIER_PKG_MODVER="2.0"

case $1 in
	--sdk-mod-ver)
		#Print SDK support version. Right now, Share module is 2.0
                echo ${GLACIER_PKG_MODVER}
	;;
	--name)
		#Print name
                echo ${GLACIER_PKG_NAME}
	;;
	--pkg-ver)
		echo ${GLACIER_PKG_VERSION}
	;;
	--vendor)
		#Print package vendor
                echo ${GLACIER_PKG_VENDOR}
	;;
	--pre)
		#Actions before share restore
		case $ACTION in
		CREATE)
			;;
		RESTORE)
			;;
		CLONE_SHARE)
			;;
		CLONE_SNAP)
			;;
		*)
			;;
		esac
	;;
	--post)
		#Actions after share restore
		case $ACTION in
		CREATE)
			# Take(Create) a snap shot.
			;;
		RESTORE)
			# Restore snap shot to "original" snap shot share.
			${GLACIER_TOOL_BIN} --drop_archive_info_src "${SHARE_NAME}" "${ENC_STATUS}"
			;;
		CLONE_SHARE)
			# Clone snap shot share by control panel.
			${GLACIER_TOOL_BIN} --drop_archive_info_src "${NEW_SHARE_NAME}" "${ENC_STATUS}"
			;;
		CLONE_SNAP)
			# Restore snap shot share to "new" snap shot share.
			${GLACIER_TOOL_BIN} --drop_archive_info_src "${NEW_SHARE_NAME}" "${ENC_STATUS}"
			;;
		*)
			;;
		esac
        ;;
	*)
                echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
